MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032174Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-02-25 22:312021-04-03 12:49
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032174: Data Exchange - read.step.root.transformation parameter has reversed definition
Descriptionread.step.root.transformation parameter definition is confusing:
Interface_Static::Init("step", "read.step.root.transformation", 'e', "");

Interface_Static::Init("step", "read.step.root.transformation", '&', "enum 
0");
Interface_Static::Init("step", "read.step.root.transformation", '&', "eval 
ON");
Interface_Static::Init("step", "read.step.root.transformation", '&', "eval 
OFF");

All other Boolean parameters in the Package define 1=ON and 0=OFF naturally matching C++ bool, but not this new parameter - it seems it has been done unintentionally.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0099167)
git (administrator)
2021-02-25 22:44

Branch CR32174 has been created by kgv.

SHA-1: cbc2d48d329eb2b92aa8379814838fd83baf5f13


Detailed log of new commits:

Author: kgv
Date: Thu Feb 25 22:44:31 2021 +0300

    0032174: Data Exchange - read.step.root.transformation parameter has reversed definition
    
    Parameter definition has been corrected to match other Boolean parameters to map 0=OFF and 1=ON.
(0099169)
kgv (developer)
2021-02-26 09:35

Patch is ready for review
- OCCT: branch CR32174.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32174-master-KGV/ [^]
(0099935)
gka (developer)
2021-04-01 11:50

Branch CR32174 was reviewed
(0100022)
bugmaster (administrator)
2021-04-03 11:56

Combination -
OCCT branch : IR-2021-04-02
master SHA - 5e4f263d1cfd948e6a91aa584919bb6d86256a86
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-02 SHA - 7cc5f9bb4eb61152ffc5290516ae20c649a33a55
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18055.90000000045 / 18179.810000000525 [-0.68%]
Products
Total CPU difference: 11506.800000000105 / 11565.220000000114 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19512.09375 / 19430.5 [+0.42%]
Products
Total CPU difference: 12943.234375 / 12843.765625 [+0.77%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100039)
git (administrator)
2021-04-03 12:49

Branch CR32174 has been deleted by inv.

SHA-1: cbc2d48d329eb2b92aa8379814838fd83baf5f13

- Related Changesets
occt: master 51c21d1f
Timestamp: 2021-02-25 19:44:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032174: Data Exchange - read.step.root.transformation parameter has reversed definition

Parameter definition has been corrected to match other Boolean parameters to map 0=OFF and 1=ON.
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_Controller.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-25 22:31 kgv New Issue
2021-02-25 22:31 kgv Assigned To => gka
2021-02-25 22:31 kgv Relationship added child of 0031491
2021-02-25 22:44 git Note Added: 0099167
2021-02-26 09:35 kgv Note Added: 0099169
2021-02-26 09:35 kgv Status new => resolved
2021-04-01 11:50 gka Note Added: 0099935
2021-04-01 11:50 gka Assigned To gka => bugmaster
2021-04-01 11:50 gka Status resolved => reviewed
2021-04-03 11:56 bugmaster Note Added: 0100022
2021-04-03 11:56 bugmaster Status reviewed => tested
2021-04-03 12:03 bugmaster Test case number => Not required
2021-04-03 12:13 bugmaster Changeset attached => occt master 51c21d1f
2021-04-03 12:13 bugmaster Status tested => verified
2021-04-03 12:13 bugmaster Resolution open => fixed
2021-04-03 12:49 git Note Added: 0100039


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker